## CamelAddress

CamelAddress

## Synopsis

    struct              CamelAddress;
    CamelAddress*       camel_address_new                   (void);
    CamelAddress*       camel_address_new_clone             (const CamelAddress *addr);
    int                 camel_address_length                (CamelAddress *addr);
    int                 camel_address_decode                (CamelAddress *addr,
                                                             const char *raw);
    char*               camel_address_encode                (CamelAddress *addr);
    int                 camel_address_unformat              (CamelAddress *addr,
                                                             const char *raw);
    char*               camel_address_format                (CamelAddress *addr);
    int                 camel_address_cat                   (CamelAddress *dest,
                                                             const CamelAddress *source);
    int                 camel_address_copy                  (CamelAddress *dest,
                                                             const CamelAddress *source);
    void                camel_address_remove                (CamelAddress *addr,
                                                             int index);

## Description

## Details

### struct CamelAddress

    struct CamelAddress {
    	CamelObject parent;

    	GPtrArray *addresses;

    	struct _CamelAddressPrivate *priv;
    };

### camel_address_new ()

    CamelAddress*       camel_address_new                   (void);

Returns : |

### camel_address_new_clone ()

    CamelAddress*       camel_address_new_clone             (const CamelAddress *addr);

`addr` : |
Returns : |

### camel_address_length ()

    int                 camel_address_length                (CamelAddress *addr);

`addr` : |
Returns : |

### camel_address_decode ()

    int                 camel_address_decode                (CamelAddress *addr,
                                                             const char *raw);

`addr` : |
`raw` : |
Returns : |

### camel_address_encode ()

    char*               camel_address_encode                (CamelAddress *addr);

`addr` : |
Returns : |

### camel_address_unformat ()

    int                 camel_address_unformat              (CamelAddress *addr,
                                                             const char *raw);

`addr` : |
`raw` : |
Returns : |

### camel_address_format ()

    char*               camel_address_format                (CamelAddress *addr);

`addr` : |
Returns : |

### camel_address_cat ()

    int                 camel_address_cat                   (CamelAddress *dest,
                                                             const CamelAddress *source);

`dest` : |
`source` : |
Returns : |

### camel_address_copy ()

    int                 camel_address_copy                  (CamelAddress *dest,
                                                             const CamelAddress *source);

`dest` : |
`source` : |
Returns : |

### camel_address_remove ()

    void                camel_address_remove                (CamelAddress *addr,
                                                             int index);

`addr` : |
`index` : |